Elasticsearch Kibana Reporting plugin 'CVE-2016-1000218' CSRF Vulnerability

2018-03-02T00:00:00
ID OPENVAS:1361412562310108364
Type openvas
Reporter Copyright (C) 2018 Greenbone Networks GmbH
Modified 2018-10-24T00:00:00

Description

Version 2.4.0 of the Reporting plugin for Elasticsearch Kibana is vulnerable to a CSRF vulnerability.

                                        
                                            ###############################################################################
# OpenVAS Vulnerability Test
# $Id: gb_elasticsearch_kibana_CVE-2016-1000218.nasl 12045 2018-10-24 06:51:17Z mmartin $
#
# Elasticsearch Kibana Reporting plugin 'CVE-2016-1000218' CSRF Vulnerability
#
# Authors:
# Christian Fischer <christian.fischer@greenbone.net>
#
# Copyright:
# Copyright (C) 2018 Greenbone Networks GmbH
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

CPE = "cpe:/a:elasticsearch:kibana";

if(description)
{
  script_oid("1.3.6.1.4.1.25623.1.0.108364");
  script_version("$Revision: 12045 $");
  script_cve_id("CVE-2016-1000218");
  script_tag(name:"cvss_base", value:"6.8");
  script_tag(name:"cvss_base_vector", value:"AV:N/AC:M/Au:N/C:P/I:P/A:P");
  script_tag(name:"last_modification", value:"$Date: 2018-10-24 08:51:17 +0200 (Wed, 24 Oct 2018) $");
  script_tag(name:"creation_date", value:"2018-03-02 11:13:36 +0100 (Fri, 02 Mar 2018)");
  script_name("Elasticsearch Kibana Reporting plugin 'CVE-2016-1000218' CSRF Vulnerability");
  script_copyright("Copyright (C) 2018 Greenbone Networks GmbH");
  script_category(ACT_GATHER_INFO);
  script_family("Web application abuses");
  script_dependencies("gb_elasticsearch_kibana_detect.nasl");
  script_mandatory_keys("Elasticsearch/Kibana/Installed");
  script_require_ports("Services/www", 5601);

  script_xref(name:"URL", value:"https://www.elastic.co/community/security");

  script_tag(name:"summary", value:"Version 2.4.0 of the Reporting plugin for Elasticsearch Kibana
  is vulnerable to a CSRF vulnerability.");

  script_tag(name:"vuldetect", value:"Checks if a vulnerable version is present on the target host.");

  script_tag(name:"impact", value:"The flaw could allow an attacker to generate
  superfluous reports whenever an authenticated Kibana user navigates to a specially-crafted page.");

  script_tag(name:"affected", value:"Elasticsearch Kibana versions prior to 4.6.1 with an installed
  version 2.4.0 of the Reporting plugin.");

  script_tag(name:"solution", value:"Users of the Reporting plugin should upgrade Kibana to 4.6.1
  and Reporting to 2.4.1.");

  script_tag(name:"solution_type", value:"VendorFix");
  script_tag(name:"qod_type", value:"remote_banner_unreliable"); # Only affected if the Reporting plugin is installed

  exit(0);
}

include("version_func.inc");
include("host_details.inc");

if( ! port = get_app_port( cpe:CPE ) ) exit( 0 );
if( ! vers = get_app_version( cpe:CPE, port:port ) ) exit( 0 );

if( version_is_less( version:vers, test_version:"4.6.1" ) ) {
  report = report_fixed_ver( installed_version:vers, fixed_version:"Kibana 4.6.1 and Reporting 2.4.1" );
  security_message( port:port, data:report );
  exit( 0 );
}

exit( 99 );